Subject: Re: ArabTeX on the PC

From: "Peter B.C. Barton" <[email-masked]>
Date: Thu, 24 Oct 2002 12:51:05 -0700

Professor Lagally,

Your instructions and help are greatly appreciated.   You asked to be notified
if your instructions work - YES they do!   For future reference (for other lost
souls) the MiKTeX database is refreshed by running config.bat found in the
C:\texmf\miktex\config directory.

Peter Barton

Klaus Lagally wrote:

> Peter B.C. Barton wrote:
> > Professor Lagally,
> >
> > I am not a "TeXpert" and have a question regarding ArabTeX compatibility
> > on the PC.        The ArabTeX homepage specifically mentions PCTeX and
> > emTeX.   I was hoping to employ ArabTeX using MiKTeX.   I understand
> > that ArabTeX will run on any standard implementation of TeX/LaTeX but I
> > am not able to determine if MiKTeX is standard or non-standard.    I
> > would appreciate any words of advice.
> >
> > regards,
> >
> > Peter Barton
>
> MiKTeX is standard, and works well with ArabTeX. As far as I know MiKTeX
> uses the standard TeX Directory Structure; to install ArabTeX do the
> following (according to folklore I cannot check):
>
> - unpack ARABTEX.ZIP into some temporary directory, keeping the
> subdirectory structure intact.
>
> - locate your LOCAL TeXMF tree (probably C:\localtexmf\) and therein create:
>
> -- a subdirectory \tex\latex\arabtex\ for all files within TEXINPUT
> -- a subdirectory \fonts\tfm\arabtex\ for all files within TFM
> -- a subdirectory \fonts\source\arabtex\ for all files within MFINPUT
> -- a subdirectory \fonts\type1\arabtex\ for all files within PSFONTS
>
> - move the files to the appropriate places. The file PSFONTS\arabtex.map
> is used by DVIPS and should possibly go somewhere else, according to
> your local needs.
>
> - call "texhash" or "texconfig" (or whatever the command is) to refresh
> your TeX file name database.
>
> - move the documentation and whatever else is left over to some
> convenient place.
>
> This is all I know about MiKTeX. Since I do not run Windows I cannot
> check everything; please tell me if it works.
>
> Good luck!
>
> KL
> --
> Prof. Dr. Klaus Lagally  | mailto:[email-masked]
> Institut fuer Informatik | Tel.  +49-711-7816392 |  Zeige mir deine Uhr,
> Breitwiesenstrasse 20-22 | FAX   +49-711-7816370 |  und ich sage dir,
> 70565 Stuttgart, GERMANY |                       |  wie spaet es ist.
>